Gestionnaire de paquet synaptic [Résolu/Fermé]

presyKDE 15 Messages postés jeudi 9 août 2012Date d'inscription 16 août 2012 Dernière intervention - 9 août 2012 à 02:08 - Dernière réponse :  Steve-it
- 8 févr. 2018 à 12:11
Bonjour,

j'ai un problème d'exécution du gestionnaire de paquet synaptic, le système m'envoie un message que je ne comprend pas

<<
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_main_i18n_Translation-en
E: Impossible d'ouvrir ou d'analyser le fichier contenant la liste des états ou celui des paquets disponibles.
E: _cache->open() failed, please report.
>>

j'ai eu ce problème suite à mainte reprise d'installation du pilote sous linux de ma carte graphique NVIDIA

que signifie ce message et comment faire pour accéder à mon gestionnaire
je fais savoir au passage aussi que mon gestionnaire de mise à jour ne marche pas non plus
et voici le message que le système m'envoie
<<
Impossible d'initialiser les données sur les paquets

Un problème irrémédiable est survenu pendant l'initialisation des informations du paquet.

Veuillez signaler ce bogue du paquet « update-manager » en y joignant le message d'erreur suivant :

'E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_main_i18n_Translation-en, E:Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lus.'
>>

stp aidez moi!!!!

Afficher la suite 

19 réponses

Utilisateur anonyme - 9 août 2012 à 18:36
+15
Utile
7
Tu copies/colles dans un terminal :
sudo rm /var/lib/apt/lists/* -vf && sudo apt-get update
presyKDE 15 Messages postés jeudi 9 août 2012Date d'inscription 16 août 2012 Dernière intervention - 9 août 2012 à 19:17
ok
merci d'avance
voici mon problème
mon cable HDMI ne fonctionne pas sous ma version linux 12.04 LTS or fonctionne parfaitement sous windows.
comment résoudre ce problème?
patoche181 39 Messages postés dimanche 12 juin 2011Date d'inscription 11 janvier 2013 Dernière intervention - 24 nov. 2012 à 20:24
j'ai sensiblement le même problème. impossible de m'en sortir tout seul également.
si qq veux m'aider, il est attendu avec impatience. et grand merci par avance.

E: Ligne 1 mal formée dans le fichier de source /etc/apt/sources.list.d/ubuntuzilla.list (URI)
E: Impossible de lire la liste des sources.
Vous pouvez essayer de corriger le problème en ouvrant la fenêtre des dépôts.
E: _cache->open() failed, please report.
valable même après 3 ans.
merci
sawlinux > etudiant - 26 janv. 2017 à 23:27
Valable même aujourd'hui :) 26/01/2017 ^^' Merci pour la solution
Ok, merci mon gestionnaire de paquets Synaptic et redevenu fonctionnel.
BMMWW 1493 Messages postés mercredi 8 août 2012Date d'inscription 12 février 2018 Dernière intervention - 9 août 2012 à 12:24
+1
Utile
1
N'écrit pas sudo apt-get update dans le terminal, mais tu mets :
gksudo gedit /etc/apt/sources.list
à moins que tu sois en KDE... dans ce cas tu écris :
kdesudo kate /etc/apt/sources.list
Tu devrais avoir la liste des sources et effacer la ligne qui contient "statuts" comme c'est indiqué dans ta réponse.
presyKDE 15 Messages postés jeudi 9 août 2012Date d'inscription 16 août 2012 Dernière intervention - 9 août 2012 à 18:30
je suis en KDE mais cette commande ne fonctionne pas car le système me dit t'installer le programme "kdesudo"
qd je lance l'installation avec "sudo apt-get install kdesudo"
j'obtiens toujours mon même message d'erreur après 90% de lecture des listes des paquets
<<
Lecture des listes de paquets... Erreur !
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_main_i18n_Translation-en
E: Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lus.
>>
BMMWW 1493 Messages postés mercredi 8 août 2012Date d'inscription 12 février 2018 Dernière intervention - 9 août 2012 à 18:35
+1
Utile
Tu dois avoir une version ancienne...
A la place de Kdesudu, mets simplement sudo
BMMWW 1493 Messages postés mercredi 8 août 2012Date d'inscription 12 février 2018 Dernière intervention - 24 nov. 2012 à 22:21
+1
Utile
Il y a une ligne dans la liste des sources qui est défectueuse. J'explique ici comment s'en sortir et j'ai ajouté une marche à suivre très judicieuse de Mamiemando :
http://www.suiteduforumentraide.fr/83890987
patoche181 39 Messages postés dimanche 12 juin 2011Date d'inscription 11 janvier 2013 Dernière intervention - 24 nov. 2012 à 22:34
+1
Utile
Merci ,beaucoup, je vais voir tout de suite.... grand merci!
Patrick
BMMWW 1493 Messages postés mercredi 8 août 2012Date d'inscription 12 février 2018 Dernière intervention - 9 août 2012 à 09:02
0
Utile
1
En faisant diverses manoeuvres, tu as engendré une ligne défectueuse dans la liste des sources (liste des dépots qui permet à ton PC d'aller chercher des paquets sur internet). Il faut que tu effaces cette ligne défectueuse.
Pour ceci tu ouvres un terminal et dedans tu inscrits :
sudo apt-get update
Tu va avoir une réponse du type :
Impossible de lire la ligne 56 de la liste des sources.
Tu sais maintenant quelle est la ligne incriminée, il faut l'effacer. Pour ceci dans le terminal tu inscrits :
gksudo gedit /etc/apt/sources.list
Une fenêtre va s'ouvrir, c'est la liste des sources : tu effaces la mauvaise ligne, tu enregistres et c'est bon !
Ceci est un extrait de mon site : www.suiteduforumentraide.fr où tout est expliqué par le menu.
presyKDE 15 Messages postés jeudi 9 août 2012Date d'inscription 16 août 2012 Dernière intervention - 9 août 2012 à 11:39
bjr BMMWW
merci pour l'intérêt que tu porte à mon problème
mais je suis perdu dans ce que tu me propose
tout d'abord, je ne lis pas dans le terminal "" Impossible de lire la ligne 56 de la liste des sources ""
après avoir valider sudo apt-get update
j'obtiens à la fin après le debut de téléchargement des paquets
<<
Lecture des listes de paquets... Erreur !
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_precise-security_main_i18n_Translation-en
E: Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lus.
>>
et
quand j'inscris la commande gksudo gedit /etc/apt/sources.list
j'obtiens dans ma fénêtre de liste

<<
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to

# newer versions of the distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ precise main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ precise main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ precise-updates main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ precise-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ precise universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ precise universe
deb http://fr.archive.ubuntu.com/ubuntu/ precise-updates universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ precise-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ precise multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ precise multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ precise-updates multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ precise-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu precise-security main restricted
deb-src http://security.ubuntu.com/ubuntu precise-security main restricted
deb http://security.ubuntu.com/ubuntu precise-security universe
deb-src http://security.ubuntu.com/ubuntu precise-security universe
deb http://security.ubuntu.com/ubuntu precise-security multiverse
deb-src http://security.ubuntu.com/ubuntu precise-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu precise partner
# deb-src http://archive.canonical.com/ubuntu precise partner

## Uncomment the following two lines to add software from Ubuntu's
## 'extras' repository.
## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
# deb http://extras.ubuntu.com/ubuntu precise main
# deb-src http://extras.ubuntu.com/ubuntu precise main
>>

je ne sais plus ce que je dois supprimer dans cette liste que le système me donne
je t'écris tout ça dans l'espoir que tu me dis exactement ce que je dois faire
merci d'avance
patoche181 39 Messages postés dimanche 12 juin 2011Date d'inscription 11 janvier 2013 Dernière intervention - 24 nov. 2012 à 22:55
0
Utile
( est ce bien Debian?)

Linux _ 3.2.0-33-generic-pae #52-Ubuntu SMP Thu Oct 18 16:39:21 UTC 2012 i686 i686 i386 GNU/Linux
BMMWW 1493 Messages postés mercredi 8 août 2012Date d'inscription 12 février 2018 Dernière intervention - 25 nov. 2012 à 11:42
0
Utile
La méthode pour remettre en route la liste des sources marche sous Ubuntu et ses dérivés et sous Debian : Ubuntu est un logiciel construit sur la base de Debian.
patoche181 39 Messages postés dimanche 12 juin 2011Date d'inscription 11 janvier 2013 Dernière intervention - 25 nov. 2012 à 22:53
0
Utile
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu/ precise universe
deb-src http://archive.ubuntu.com/ubuntu/ precise universe
deb http://archive.ubuntu.com/ubuntu/ precise-updates universe
deb-src http://archive.ubuntu.com/ubuntu/ precise-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://archive.ubuntu.com/ubuntu/ precise multiverse
deb-src http://archive.ubuntu.com/ubuntu/ precise multiverse
deb http://archive.ubuntu.com/ubuntu/ precise-updates multiverse
deb-src http://archive.ubuntu.com/ubuntu/ precise-updates multiverse

Bonsoir, ( j'obtiens cette liste à la suite du processus ) mais je ne vois pas la ligne avec l'erreur ! quand pensez_vous?
merci encore.
Patrick
BMMWW 1493 Messages postés mercredi 8 août 2012Date d'inscription 12 février 2018 Dernière intervention - 26 nov. 2012 à 11:51
0
Utile
D'après ce que tu dis plus haut, c'est la ligne 1 qui ne marche pas, essaie de l'effacer et d'enregistrer ensuite, tu verras bien... (note là exactement et si tout se bloque, tu la re-écris)